/**
 * The identifiers of the packets.
 *
 * @hidden
 * */
export declare const identifiers: {
    readonly oldPacket: number;
    readonly bulle: number;
    readonly bulleConnection: number;
    readonly profile: number;
    readonly cafeData: number;
    readonly cafeState: number;
    readonly cafeLike: number;
    readonly cafeLoadData: number;
    readonly cafeNewTopic: number;
    readonly cafeSendMessage: number;
    readonly command: number;
    readonly loggedIn: number;
    readonly loginError: number;
    readonly handshakeOk: number;
    readonly emote: number;
    readonly emoticon: number;
    readonly heartbeat: number;
    readonly handshake: number;
    readonly loginReady: number;
    readonly enterTribeHouse: number;
    readonly loadLua: number;
    readonly luaChatLog: number;
    readonly loginSend: number;
    readonly modList: number;
    readonly os: number;
    readonly fingerprint: number;
    readonly room: number;
    readonly roomList: number;
    readonly roomMessage: number;
    readonly roomChange: number;
    readonly roomPlayerList: number;
    readonly roomPlayerGetCheese: number;
    readonly roomPlayerWin: number;
    readonly roomPlayerEnter: number;
    readonly language: number;
    readonly languageChange: number;
    readonly requestLanguage: number;
};
/**
 * The identifiers of tribulle packet
 *
 * @hidden
 */
export declare const tribulle: {
    readonly connect: 3;
    readonly whisperSend: 52;
    readonly whisperReceive: 66;
    readonly friendConnect: 32;
    readonly friendDisconnect: 33;
    readonly friendList: 34;
    readonly friendUpdate: 35;
    readonly friendAddRequest: 18;
    readonly friendRemoveRequest: 20;
    readonly friendAdd: 36;
    readonly friendRemove: 37;
    readonly channelSendMessage: 48;
    readonly channelJoinRequest: 54;
    readonly channelLeaveRequest: 56;
    readonly channelWhoRequest: 58;
    readonly channelWho: 59;
    readonly channelJoin: 62;
    readonly channelLeave: 63;
    readonly channelMessage: 64;
    readonly tribeSendMessage: 50;
    readonly tribeMessage: 65;
    readonly tribeMemberConnect: 88;
    readonly tribeMemberDisconnect: 90;
    readonly tribeMemberUpdate: 131;
    readonly tribeRequest: 108;
    readonly tribeInitialReceive: 109;
    readonly tribeReceive: 130;
};
/**
 * The old identifiers of the packets.
 *
 * @hidden
 */
export declare const oldIdentifiers: {
    readonly roomPlayerLeft: number;
    readonly roomPlayerDie: number;
};
/** Game's communities */
export declare const communities: {
    en: number;
    int: number;
    xx: number;
    fr: number;
    ru: number;
    br: number;
    es: number;
    cn: number;
    tr: number;
    vk: number;
    pl: number;
    hu: number;
    nl: number;
    ro: number;
    id: number;
    de: number;
    e2: number;
    ar: number;
    ph: number;
    lt: number;
    jp: number;
    fi: number;
    cz: number;
    hr: number;
    bg: number;
    lv: number;
    he: number;
    it: number;
    et: number;
    pt: number;
};
/** The available communities based on the languages. */
export declare const languages: {
    readonly es: "es";
    readonly af: "af";
    readonly az: "az";
    readonly id: "id";
    readonly ms: "ms";
    readonly bi: "bi";
    readonly bs: "bs";
    readonly ca: "ca";
    readonly ny: "ny";
    readonly da: "da";
    readonly de: "de";
    readonly et: "et";
    readonly na: "na";
    readonly en: "en";
    readonly to: "to";
    readonly mg: "mg";
    readonly fr: "fr";
    readonly sm: "sm";
    readonly hr: "hr";
    readonly it: "it";
    readonly mh: "mh";
    readonly kl: "kl";
    readonly rn: "rn";
    readonly rw: "rw";
    readonly sw: "sw";
    readonly ht: "ht";
    readonly lv: "lv";
    readonly lt: "lt";
    readonly lb: "lb";
    readonly hu: "hu";
    readonly mt: "mt";
    readonly nl: "nl";
    readonly no: "no";
    readonly uz: "uz";
    readonly pl: "pl";
    readonly pt: "pt";
    readonly br: "br";
    readonly ro: "ro";
    readonly qu: "qu";
    readonly st: "st";
    readonly tn: "tn";
    readonly sq: "sq";
    readonly ss: "ss";
    readonly sk: "sk";
    readonly sl: "sl";
    readonly so: "so";
    readonly fi: "fi";
    readonly sv: "sv";
    readonly tl: "tl";
    readonly vi: "vi";
    readonly tk: "tk";
    readonly tr: "tr";
    readonly fj: "fj";
    readonly wo: "wo";
    readonly yo: "yo";
    readonly is: "is";
    readonly cs: "cs";
    readonly el: "el";
    readonly be: "be";
    readonly ky: "ky";
    readonly mn: "mn";
    readonly ru: "ru";
    readonly sr: "sr";
    readonly tg: "tg";
    readonly uk: "uk";
    readonly bg: "bg";
    readonly kk: "kk";
    readonly hy: "hy";
    readonly he: "he";
    readonly ur: "ur";
    readonly ar: "ar";
    readonly fa: "fa";
    readonly dv: "dv";
    readonly ne: "ne";
    readonly hi: "hi";
    readonly bn: "bn";
    readonly ta: "ta";
    readonly th: "th";
    readonly lo: "lo";
    readonly dz: "dz";
    readonly my: "my";
    readonly ka: "ka";
    readonly ti: "ti";
    readonly am: "am";
    readonly km: "km";
    readonly cn: "cn";
    readonly zh: "zh";
    readonly ja: "ja";
    readonly ko: "ko";
};
/** The ids of all emotes */
export declare const emotes: {
    readonly dance: 0;
    readonly laugh: 1;
    readonly cry: 2;
    readonly kiss: 3;
    readonly angry: 4;
    readonly clap: 5;
    readonly sleep: 6;
    readonly facepaw: 7;
    readonly sit: 8;
    readonly confetti: 9;
    readonly flag: 10;
    readonly marshmallow: 11;
    readonly selfie: 12;
    readonly highfive: 13;
    readonly highfive_1: 14;
    readonly highfive_2: 15;
    readonly partyhorn: 16;
    readonly hug: 17;
    readonly hug_1: 18;
    readonly hug_2: 19;
    readonly jigglypuff: 20;
    readonly kissing: 21;
    readonly kissing_1: 22;
    readonly kissing_2: 23;
    readonly carnaval: 24;
    readonly rockpaperscissors: 25;
    readonly rockpaperscissors_1: 26;
    readonly rockpaperscissor_2: 27;
};
/** the ids of all the smiles. */
export declare const smiles: {
    readonly smiley: 0;
    readonly sad: 1;
    readonly tongue: 2;
    readonly angry: 3;
    readonly laugh: 4;
    readonly shades: 5;
    readonly blush: 6;
    readonly sweatdrop: 7;
    readonly derp: 8;
    readonly OMG: 9;
};
/** The ids of all Atelier801's games. */
export declare const games: {
    readonly unknown: 0;
    readonly none: 1;
    readonly transformice: 4;
    readonly fortoresse: 6;
    readonly bouboum: 7;
    readonly nekodancer: 15;
    readonly deadmaze: 17;
};
/** The ids of all the genders. */
export declare const genders: {
    readonly none: 0;
    readonly female: 1;
    readonly male: 2;
};
/** The ids of all the staff roles. */
export declare const roles: {
    readonly normal: 0;
    readonly moderator: 5;
    readonly administrator: 10;
    readonly mapcrew: 11;
    readonly funcorp: 13;
};
/** The ids of all the room modes. */
export declare const roomModes: {
    readonly normal: 1;
    readonly bootcamp: 2;
    readonly vanilla: 3;
    readonly survivor: 8;
    readonly racing: 9;
    readonly music: 10;
    readonly defilante: 11;
    readonly village: 16;
    readonly module: 18;
};
/** The ids of all the whisper states. */
export declare const whisperStates: {
    readonly enabled: 1;
    readonly disabledPublic: 2;
    readonly disabledAll: 3;
};
/**
 * The ids of the cipher method.
 *
 * @hidden
 */
export declare const cipherMethods: {
    readonly none: 0;
    readonly xor: 1;
    readonly xxtea: 2;
};
