import { Base, Member } from ".";
import Client from "../client";
import { ByteArray } from "../utils";
/** Represents a Tribe */
export default class Tribe extends Base {
    /**
     * The tribe's id
     */
    id: number;
    name: string;
    welcomeMessage: string;
    mapCode: number;
    members: Member[];
    ranks: unknown[];
    /**
     * @hidden
     */
    constructor(client: Client);
    /**
     * Returns tribe data from a packet
     *
     * @hidden
     */
    read(packet: ByteArray): this;
}
